#if !defined(AFX_DIAGRAMPROPDLG_H__F7A2B146_EFF5_4E50_8333_4CBB8222C005__INCLUDED_)
#define AFX_DIAGRAMPROPDLG_H__F7A2B146_EFF5_4E50_8333_4CBB8222C005__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DiagramPropDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDiagramPropDlg dialog
#include "resource.h"
#include "ReportDict.h"
#include "PageDialog.h"
#include <AplGuiEx.h>
#include "afxwin.h"

class CDiagramPropDlg : public CPageDialog
{
// Construction
protected:
	CaplTAggr<CDiagramItem*, CDiagramItem*, APLAGGR_LIST> m_added_items;
	CaplTAggr<CDiagramItem*, CDiagramItem*, APLAGGR_LIST> m_deleted_items;

	CHeaderColumn	*m_pGroupCol;

	COLORREF		m_DefColors[7];
	int				m_DefcolorInd;

	CStringArray	m_ShowModes;
public:
	bool TestUpdate();
	CDiagramPropDlg(CWnd* pParent = NULL);   // standard constructor

	CDiagramElement	*m_elem;

	virtual bool UpdateDlg();
// Dialog Data
	//{{AFX_DATA(CDiagramPropDlg)
	enum { IDD = IDD_DIAGRAM_PROP_DLG };
	CaplButton		m_select_ds_btn;
	CaplButton		m_add_btn;
	CaplButton		m_delete_btn;
	CComboBox		m_DSColumnCtrl;
	CaplListCtrl	m_LinesListCtrl;
	CString			m_sName;
	CComboBox m_sort_type_ctrl;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDiagramPropDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void SelectColumn(CHeaderColumn *pColumn);

	// Generated message map functions
	//{{AFX_MSG(CDiagramPropDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnAddColumn();
	afx_msg void OnDelete();
	afx_msg void OnLinesListCtrlStartEdir(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnSelectDsColumn();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnSelchangeDsColumns();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DIAGRAMPROPDLG_H__F7A2B146_EFF5_4E50_8333_4CBB8222C005__INCLUDED_)
